package cn.estsh.i3plus.pojo.aps.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Date;

/**
 * @Description : 过早生产
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2020-06-11
 * @Modify:
 **/
@Data
public class PrematureProduct {
    @ApiParam(value ="订单编码")
    private String orderCode;

    @ApiParam(value ="订单名称")
    private String orderName;

    @ApiParam(value ="物料编码")
    private String materialCode;

    @ApiParam(value ="物料名称")
    private String materialName;

    @ApiParam(value ="订单编码")
    private Double count;

    @ApiParam(value ="最晚结束时间")
    private Date let;

    @ApiParam(value ="计划开始时间")
    private Date planStart;

    @ApiParam(value ="计划结束时间")
    private Date planEnd;

    @ApiParam(value ="提前完成时间")
    private String times;

    // 0正常显示，1显示红色
    @ApiParam(value ="背景显示颜色")
    private Integer backgroundColor;

}
