package cn.estsh.i3plus.pojo.mes.model;


import cn.estsh.i3plus.pojo.mes.bean.MesWindowModuleParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.util.List;

/**
 * @Author: siliter.yuan
 * @CreateDate: 2020/6/28 8:06 PM
 * @Description:
 **/
@Data
@Api("涂装检测MODEL")
public class PaintCheckModel {

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("工作单元")
    private String workCellCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("颜色")
    private String color;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("界面编号")
    private String windowNo;

    @ApiParam("缺陷类型")
    private String defectType;

    @ApiParam("缺陷描述")
    private String defectDesc;

    @ApiParam("缺陷标识值")
    private String defectFlagValue;

    @ApiParam("不良品处理类型")
    private Integer defectActionType;

    @Column(name = "PROD_CFG_TYPE_CODE")
    @ApiParam("项目代码")
    private String prodCfgTypeCode;

    @ApiParam("界面组件参数数据")
    List<MesWindowModuleParam> windowModuleParamList;
}
